import java.awt.*;

public class JBarCode extends Component {

	final static Color white = Color.white;
    final static Color black = Color.black;
    
    private byte bars[];
    private String EAN2;

    public void setBars(byte input[], String code){
    	bars = input;
    	EAN2 = code;
    }
    
	public void paint(Graphics g) {
		Dimension d = getSize();
        Graphics2D g2 = (Graphics2D) g;
        
        g2.setPaint(white);
        g2.fillRect(0, 0, d.width-1, d.height-1);
        
        g2.setFont(new Font("Arial", 0, 10));
        g2.setPaint(black);
        if (bars != null) {
        	for (int i=0; i<bars.length; i++) {
      		
        		if (bars[i] == 1) {
        			g2.fillRect(i*2+20, 40, 2, 60);
        		}
        	}
        	for (int i=0; i<2; i++) {
        		g2.drawString(EAN2.substring(i, i+1), i*16+26, 20);
        	}
        }
    }
}
